summaryrefslogtreecommitdiffstats
path: root/desktop/neutral
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-11 20:00:09 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 20:00:09 +0200
commit7eef6e3f350eb61106514036d3ee6261a6f99139 (patch)
tree5538959a7a56db94d25114edeeb41f3fd3ad2cae /desktop/neutral
parent777c44d483ddde1447430c71f7ee3d3f937daac8 (diff)
downloadslackbuilds-7eef6e3f350eb61106514036d3ee6261a6f99139.tar.gz
slackbuilds-7eef6e3f350eb61106514036d3ee6261a6f99139.tar.xz
desktop/neutral: Added to 12.0 repository
Diffstat (limited to 'desktop/neutral')
-rw-r--r--desktop/neutral/README3
-rw-r--r--desktop/neutral/neutral.SlackBuild41
-rw-r--r--desktop/neutral/neutral.info8
-rw-r--r--desktop/neutral/slack-desc19
4 files changed, 71 insertions, 0 deletions
diff --git a/desktop/neutral/README b/desktop/neutral/README
new file mode 100644
index 0000000000..118def0ea3
--- /dev/null
+++ b/desktop/neutral/README
@@ -0,0 +1,3 @@
+Neutral is a modified and extended jaguarx fork xcursor theme with
+grayscale animated watch. Looks lika a set of standard black *X cursors,
+but smoothed and shadowed.
diff --git a/desktop/neutral/neutral.SlackBuild b/desktop/neutral/neutral.SlackBuild
new file mode 100644
index 0000000000..2969f8ab36
--- /dev/null
+++ b/desktop/neutral/neutral.SlackBuild
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# Slackware build script for neutral
+
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
+# Modified by the SlackBuilds.org project.
+
+set -e
+
+PRGNAM=neutral
+VERSION=1.13a
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar -xzvf $CWD/28310-$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYRIGHT LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/share/icons/neutral
+sed -e 's/Icon Theme/Cursor Theme/' -i $TMP/neutral/index.theme
+cp -R $TMP/neutral/{cursors,index.theme} $PKG/usr/share/icons/neutral/
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/neutral/neutral.info b/desktop/neutral/neutral.info
new file mode 100644
index 0000000000..b4d6d09273
--- /dev/null
+++ b/desktop/neutral/neutral.info
@@ -0,0 +1,8 @@
+PRGNAM="neutral"
+VERSION="1.13a"
+HOMEPAGE="http://www.kde-look.org/content/show.php?content=28310"
+DOWNLOAD="http://www.kde-look.org/CONTENT/content-files/28310-neutral-1.13a.tar.gz"
+MD5SUM="b2d8e14bcb4ab13d9001890b041803db"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="alien"
diff --git a/desktop/neutral/slack-desc b/desktop/neutral/slack-desc
new file mode 100644
index 0000000000..d32e2cc00d
--- /dev/null
+++ b/desktop/neutral/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+neutral: neutral (a smoothed and shadowed X cursors theme)
+neutral:
+neutral: A modified and extended jaguarx fork with grayscale animated watch.
+neutral: Looks lika a set of standard black *X cursors,
+neutral: but smoothed and shadowed.
+neutral:
+neutral:
+neutral:
+neutral:
+neutral: http://www.kde-look.org/content/show.php?content=28310
+neutral: